package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * FaseAct generated by hbm2java
 */
@Entity
@Table(name = "fase_act", catalog = "gestion_actividades")
public class FaseAct implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idFaseAct;
	private Actividades actividades;
	private Fases fases;
	private Date fechaCambio;

	public FaseAct() {
	}

	public FaseAct(Actividades actividades, Fases fases) {
		this.actividades = actividades;
		this.fases = fases;
	}

	public FaseAct(Actividades actividades, Fases fases, Date fechaCambio) {
		this.actividades = actividades;
		this.fases = fases;
		this.fechaCambio = fechaCambio;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_fase_act", unique = true, nullable = false)
	public Integer getIdFaseAct() {
		return this.idFaseAct;
	}

	public void setIdFaseAct(Integer idFaseAct) {
		this.idFaseAct = idFaseAct;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "actividad", nullable = false)
	public Actividades getActividades() {
		return this.actividades;
	}

	public void setActividades(Actividades actividades) {
		this.actividades = actividades;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "fase", nullable = false)
	public Fases getFases() {
		return this.fases;
	}

	public void setFases(Fases fases) {
		this.fases = fases;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fecha_cambio", length = 19)
	public Date getFechaCambio() {
		return this.fechaCambio;
	}

	public void setFechaCambio(Date fechaCambio) {
		this.fechaCambio = fechaCambio;
	}

}
